<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Просмотр фильма</title>
</head>
<body>
<form layout:fragment="content">
    <br><br>
    <div>
        <h3 th:text="'Информация о фильме: ' + ${film.getFilmTitle()}"></h3>
        <form class="row g-1">
            <div class="mb-2 row">
                <label for="filmTitle" class="col-sm-2 col-form-label no-border">Название:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getFilmTitle()}" type="text" readonly class="form-control-plaintext" id="filmTitle">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="genre" class="col-sm-2 col-form-label">Жанр:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getGenre().getGenreTextDisplay()}" class="form-control-plaintext" id="genre">
                </div>
            </div>
            <div class="mb-2 row">
                <label class="col-sm-2 col-form-label">Онлайн копия:</label>
                <div class="col-sm-10">
                    <a class="text-link text-blue" th:if="${film.getOnlineCopyPath()} != null" th:href="@{|/films/download?filmId=${film.id}|}">
                        <span>Скачать фильм</span>
                    </a>
                </div>
            </div>
            <div class="mb-2 row">
                <label for="premierYear" class="col-sm-2 col-form-label">Дата премьеры:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getPremierYear}" class="form-control-plaintext" id="premierYear">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="country" class="col-sm-2 col-form-label">Страна производства:</label>
                <div class="col-sm-10">
                    <p th:text="${film.getCountry()}" class="form-control-plaintext" id="country">
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <form class="row g-1">
            <h4 class="mt-3 mb-3" th:text="'Информация о режиссёре/актере(ах)'"></h4>
            <div th:each="director : ${film.getDirectors()}">
                <div class="mb-2 row">
                    <label for="directorsFio" class="col-sm-2 col-form-label">ФИО:</label>
                    <div class="col-sm-10">
                        <a class="text-link text-blue" th:href="'/directors/' + ${director.getId()}" th:text="${director.getDirectorsFio()}" id="directorsFio"></a>
                    </div>
                </div>
                <div class="mb-2 row">
                    <label for="position" class="col-sm-2 col-form-label">Должность:</label>
                    <div class="col-sm-10">
                        <p th:text="${director.getPosition().getPositionTextDisplay()}" class="form-control-plaintext" id="position">
                    </div>
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <div class="mt-2">
            <a sec:authorize="!hasRole('ADMIN')" class="btn btn-primary"
               th:href="'/rent/film/' + ${film.id}">Взять фильм на прокат</a>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>

    </div>
</form>
</body>
</html>